;Sepcial Register

;;--------------------------
;; CPU core used
;;--------------------------
INDF0    EQU  000H
POINC0   EQU  001H
PODEC0   EQU  002H
PRINC0   EQU  003H
PLUSW0   EQU  004H
INDF1    EQU  005H
POINC1   EQU  006H
PODEC1   EQU  007H
PRINC1   EQU  008H
PLUSW1   EQU  009H
INDF2    EQU  00AH
POINC2   EQU  00BH
PODEC2   EQU  00CH
PRINC2   EQU  00DH
PLUSW2   EQU  00EH
FSR0H    EQU  00FH
FSR0L    EQU  010H
FSR1H    EQU  011H
FSR1L    EQU  012H
FSR2H    EQU  013H
FSR2L    EQU  014H
TOSH     EQU  016H
TOSL     EQU  017H
SKCN     EQU  018H
  SKFL    EQU  7
  SKUN    EQU  6
  SKOV    EQU  5
  SKPRT3  EQU  3
  SKPRT2  EQU  2
  SKPRT1  EQU  1
  SKPRT0  EQU  0
PCLATH   EQU  01AH
PCLATL   EQU  01BH

;;--------------------------
;; Table read
;;--------------------------
TBLPTRH  EQU  01DH
TBLPTRL  EQU  01EH
TBLDH    EQU  01FH
TBLDL    EQU  020H

;;--------------------------
;; Hardware multiplier
;;--------------------------
PRODH    EQU  021H
PRODL    EQU  022H

;;--------------------------
;; interrupt
;;--------------------------
INTE0    EQU  023H
  GIE     EQU  7
  TA1CIE  EQU  6
  ADIE    EQU  5
  WDTIE   EQU  4
  TB1IE   EQU  3
  E1IE    EQU  1
  E0IE    EQU  0
INTE1    EQU  024H
  TA1IE   EQU  7
  SPIIE   EQU  6
  TXIE    EQU  5
  RCIE    EQU  4
  I2CERIE EQU  3
  I2CIE   EQU  2
  E3IE    EQU  1
  E2IE    EQU  0
INTE2    EQU  025H
  TA2IE   EQU  7
  TA2CIE  EQU  6
  TC11IE  EQU  5
  TC10IE  EQU  4
  TX2IE   EQU  3
  RC2IE   EQU  2
  BOR2IE  EQU  0
INTF0    EQU  026H
  TA1CIF  EQU  6
  ADIF    EQU  5
  WDTIF   EQU  4
  TB1IF   EQU  3
  E1IF    EQU  1
  E0IF    EQU  0
INTF1    EQU  027H
  TA1IF   EQU  7
  SPIIF   EQU  6
  TXIF    EQU  5
  RCIF    EQU  4
  I2CERIF EQU  3
  I2CIF   EQU  2
  E3IF    EQU  1
  E2IF    EQU  0
INTF2    EQU  028H
  TA2IF   EQU  7
  TA2CIF  EQU  6
  TC11IF  EQU  5
  TC10IF  EQU  4
  TX2IF   EQU  3
  RC2IF   EQU  2
  BOR2IF  EQU  0

;;--------------------------
;; CPU status
;;--------------------------
WREG     EQU  029H
BSRCN    EQU  02AH
MSTAT    EQU  02BH
  C       EQU  4
  DC      EQU  3
  N       EQU  2
  OV      EQU  1
  Z       EQU  0
PSTAT    EQU  02CH
  BOR     EQU  7
  PD      EQU  6
  TO      EQU  5
  IDL     EQU  4
  RST     EQU  3
  SKERR   EQU  2
  BOR2LV  EQU  1
  GCRstIF EQU  0

;;--------------------------
;; BIE
;;--------------------------
BIECN    EQU  031H
  ENBVD   EQU  4
  VPPHV   EQU  3
  ENBCP   EQU  2
  BIEWR   EQU  1
  BIERD   EQU  0
BIEARH   EQU  032H
  ENBIE   EQU  7
BIEARL   EQU  033H
BIEDRH   EQU  034H
BIEDRL   EQU  035H

;;--------------------------
;; Power controller
;;--------------------------
PWRCN    EQU  036H
  ENBGR   EQU  7
  LDOC2   EQU  6
  LDOC1   EQU  5
  LDOC0   EQU  4
  LDOM1   EQU  3
  LDOM0   EQU  2
  ENLDO   EQU  1
  CSFON   EQU  0

;;--------------------------
;; Oscillator
;;--------------------------
OSCCN0   EQU  037H
  OSCS1   EQU  7
  OSCS0   EQU  6
  DHS1    EQU  5
  DHS0    EQU  4
  DMS2    EQU  3
  DMS1    EQU  2
  DMS0    EQU  1
  CUPS    EQU  0
OSCCN1   EQU  038H
  CCOPT   EQU  7
  LCPS    EQU  6
  DADC1   EQU  5
  DADC0   EQU  4
  DTMB1   EQU  3
  DTMB0   EQU  2
  TMBS    EQU  1
  LCDS    EQU  0
OSCCN2   EQU  039H
  DLCD1   EQU  7
  DLCD0   EQU  6
  ENXT    EQU  5
  XTS1    EQU  4
  XTS0    EQU  3
  HAOM1   EQU  2
  HAOM0   EQU  1
  ENHAO   EQU  0

;;--------------------------
;; CSF control
;;--------------------------
CSFCN0   EQU  03AH
  SKRST   EQU  7
CSFCN1   EQU  03BH
  ENSDRV  EQU  7
  BORTH2  EQU  4
  BORTH1  EQU  3
  BORTH0  EQU  2
  BORS    EQU  1
  ENBOR2  EQU  0

;;--------------------------
;; Watch dog
;;--------------------------
WDTCN    EQU  03EH
  ENBZ    EQU  7
  BZS     EQU  6
  DBZ1    EQU  5
  DBZ0    EQU  4
  ENWDT   EQU  3
  DWDT2   EQU  2
  DWDT1   EQU  1
  DWDT0   EQU  0

;;--------------------------
;; ADC comb
;;--------------------------
AD1H     EQU  03FH
AD1M     EQU  040H
AD1L     EQU  041H

;;--------------------------
;; ADC
;;--------------------------
AD1CN0   EQU  042H
  ENAD1   EQU  7
  OSR3    EQU  4
  OSR2    EQU  3
  OSR1    EQU  2
  OSR0    EQU  1
  CMFR    EQU  0
AD1CN1   EQU  043H
  VRX     EQU  6
  VREGN   EQU  5
  ADGN2   EQU  2
  ADGN1   EQU  1
  ADGN0   EQU  0
AD1CN2   EQU  044H
  INIS1   EQU  7
  DCSET3  EQU  3
  DCSET2  EQU  2
  DCSET1  EQU  1
  DCSET0  EQU  0
AD1CN3   EQU  045H
  INP3    EQU  7
  INP2    EQU  6
  INP1    EQU  5
  INP0    EQU  4
  INN3    EQU  3
  INN2    EQU  2
  INN1    EQU  1
  INN0    EQU  0
AD1CN4   EQU  046H
  VRH1    EQU  7
  VRH0    EQU  6
  VRL1    EQU  5
  VRL0    EQU  4
  INX1    EQU  3
  INX0    EQU  2
AD1CN5   EQU  047H
  ENACM   EQU  7
  ENV12   EQU  6
  VCMS    EQU  5
  LDOPL   EQU  4
  TPSCP   EQU  2
  ENTPS   EQU  1
  TPSCH   EQU  0

;;--------------------------
;; LVD
;;--------------------------
LVDCN    EQU  048H
  PWRS    EQU  5
  LVDS3   EQU  4
  LVDS2   EQU  3
  LVDS1   EQU  2
  LVDS0   EQU  1
  LVDO    EQU  0

;;--------------------------
;; BIA block
;;--------------------------
BIACN0   EQU  049H
  ENPK    EQU  7
  OP1OS2  EQU  6
  ENPKD   EQU  5
  PKRST   EQU  4
  ENLPF   EQU  3
  LPFS1   EQU  2
  LPFS0   EQU  1
  ENREFO  EQU  0

;;--------------------------
;; 8 bit DAC
;;--------------------------
DACCN0   EQU  04AH
  DANS2   EQU  6
  DANS1   EQU  5
  DANS0   EQU  4
  DAPS3   EQU  3
  DAPS2   EQU  2
  DAPS1   EQU  1
  DAPS0   EQU  0
DACCN1   EQU  04BH
  DADCS   EQU  4
  DALH    EQU  3
  DAOE1   EQU  2
  DAOE0   EQU  1
  ENDA    EQU  0
DACCN2   EQU  04CH
  DABIT7  EQU  7
  DABIT6  EQU  6
  DABIT5  EQU  5
  DABIT4  EQU  4
  DABIT3  EQU  3
  DABIT2  EQU  2
  DABIT1  EQU  1
  DABIT0  EQU  0

;;--------------------------
;; R2ROPAMP1
;;--------------------------
OP1CN0   EQU  04DH
  OP1OS1  EQU  2
  OP1OS0  EQU  1
  ENOP1   EQU  0
OP1NET   EQU  04EH
  OP1PS2  EQU  6
  OP1PS1  EQU  5
  OP1PS0  EQU  4
  OP1NS2  EQU  2
  OP1NS1  EQU  1
  OP1NS0  EQU  0

;;--------------------------
;; R2ROPAMP2
;;--------------------------
OP2CN0   EQU  04FH
  OP2OS1  EQU  2
  OP2OS0  EQU  1
  ENOP2   EQU  0
OP2NET   EQU  050H
  OP2PS3  EQU  7
  OP2PS2  EQU  6
  OP2PS1  EQU  5
  OP2PS0  EQU  4
  OP2NS2  EQU  2
  OP2NS1  EQU  1
  OP2NS0  EQU  0

;;--------------------------
;; PGA
;;--------------------------
PGACN0   EQU  051H
  ENCHP   EQU  7
  CHM1    EQU  6
  CHM0    EQU  5
  ENHS    EQU  4
  ENPGA1  EQU  1
  ENPGA0  EQU  0
PGACN1   EQU  052H
  GAINS1  EQU  4
  GAINS0  EQU  3
  OPDIEN  EQU  2
  ENOPPGA1 EQU  1
  ENOPPGA0 EQU  0
PGANET1  EQU  053H
  LN1NS7  EQU  7
  LN1NS6  EQU  6
  LN1NS5  EQU  5
  LN1NS4  EQU  4
  LN1NS3  EQU  3
  LN1NS2  EQU  2
  LN1NS1  EQU  1
  LN1NS0  EQU  0
PGANET2  EQU  054H
  LN1PS7  EQU  7
  LN1PS6  EQU  6
  LN1PS5  EQU  5
  LN1PS4  EQU  4
  LN1PS3  EQU  3
  LN1PS2  EQU  2
  LN1PS1  EQU  1
  LN1PS0  EQU  0
PGANET3  EQU  055H
  LN2NS7  EQU  7
  LN2NS6  EQU  6
  LN2NS5  EQU  5
  LN2NS4  EQU  4
  LN2NS3  EQU  3
  LN2NS2  EQU  2
  LN2NS1  EQU  1
  LN2NS0  EQU  0
PGANET4  EQU  056H
  LN2PS7  EQU  7
  LN2PS6  EQU  6
  LN2PS5  EQU  5
  LN2PS4  EQU  4
  LN2PS3  EQU  3
  LN2PS2  EQU  2
  LN2PS1  EQU  1
  LN2PS0  EQU  0
PGANET5  EQU  057H
  LN2OS2  EQU  6
  LN2OS1  EQU  5
  LN2OS0  EQU  4
  OPCS    EQU  3
  LN1OS2  EQU  2
  LN1OS1  EQU  1
  LN1OS0  EQU  0

;;--------------------------
;; Timer A1
;;--------------------------
TMA1CN   EQU  058H
  ENTMA1  EQU  7
  TMACL1  EQU  6
  TMAS1   EQU  5
  DTMA12  EQU  4
  DTMA11  EQU  3
  DTMA10  EQU  2
TMA1R    EQU  059H
TMA1C    EQU  05AH

;;--------------------------
;; Timer B1
;;--------------------------
TB1Flag  EQU  05BH
  PWM7A   EQU  6
  PWM6A   EQU  5
  PWM5A   EQU  4
  PWM4A   EQU  3
  PWM3A   EQU  2
  PWM2A   EQU  1
  PWM1A   EQU  0
TB1CN0   EQU  05CH
  ENTB1   EQU  7
  TB1M1   EQU  6
  TB1M0   EQU  5
  TB1RT1  EQU  4
  TB1RT0  EQU  3
  TB1CL   EQU  2
  PWMO1   EQU  1
  PWMO0   EQU  0
TB1CN1   EQU  05DH
  PA1IV   EQU  7
  PWMA12  EQU  6
  PWMA11  EQU  5
  PWMA10  EQU  4
  PA0IV   EQU  3
  PWMA02  EQU  2
  PWMA01  EQU  1
  PWMA00  EQU  0
TB1RH    EQU  05EH
TB1RL    EQU  05FH
TB1C0H   EQU  060H
TB1C0L   EQU  061H
TB1C1H   EQU  062H
TB1C1L   EQU  063H
TB1C2H   EQU  064H
TB1C2L   EQU  065H

;;--------------------------
;; Timer C1
;;--------------------------
TC1CN0   EQU  066H
  TC1S1   EQU  6
  TC1S0   EQU  5
  CPI1P   EQU  2
  CPI0P   EQU  1
  TCEN    EQU  0
TC1CN1   EQU  067H
  CPI1R   EQU  7
  CPSS    EQU  6
  CPI1S1  EQU  5
  CPI1S0  EQU  4
  CP1PS3  EQU  3
  CP1PS2  EQU  2
  CP1PS1  EQU  1
  CP1PS0  EQU  0
TC1R0H   EQU  068H
TC1R0L   EQU  069H
TC1R1H   EQU  06AH
TC1R1L   EQU  06BH

;;--------------------------
;; PT1
;;--------------------------
PT1      EQU  06CH
  PT17    EQU  7
  PT16    EQU  6
  PT15    EQU  5
  PT14    EQU  4
  PT13    EQU  3
  PT12    EQU  2
  PT110   EQU  1
  PT100   EQU  0
TRISC1   EQU  06DH
  TC17    EQU  7
  TC16    EQU  6
  TC15    EQU  5
  TC14    EQU  4
  TC13    EQU  3
  TC12    EQU  2
  TC11    EQU  1
  TC10    EQU  0
PT1DA    EQU  06EH
  DA17    EQU  7
  DA16    EQU  6
  DA15    EQU  5
  DA14    EQU  4
  DA13    EQU  3
  DA12    EQU  2
  DA11    EQU  1
  DA10    EQU  0
PT1PU    EQU  06FH
  PU17    EQU  7
  PU16    EQU  6
  PU15    EQU  5
  PU14    EQU  4
  PU13    EQU  3
  PU12    EQU  2
  PU11    EQU  1
  PU10    EQU  0
PT1M1    EQU  070H
  INTEG11 EQU  3
  INTEG10 EQU  2
  INTEG01 EQU  1
  INTEG00 EQU  0
PT1M2    EQU  071H
  PM17    EQU   6
  PM16    EQU   4
  PM15    EQU   2
  PM14    EQU   0
PT1INT   EQU  072H
  INTEG7  EQU  7
  INTEG6  EQU  6
  INTEG5  EQU  5
  INTEG4  EQU  4
  INTEG3  EQU  3
  INTEG2  EQU  2
PT1INTE  EQU  073H
  INTE17  EQU  7
  INTE16  EQU  6
  INTE15  EQU  5
  INTE14  EQU  4
PT1INTF  EQU  074H
  INTF17  EQU  7
  INTF16  EQU  6
  INTF15  EQU  5
  INTF14  EQU  4

;;--------------------------
;; PT2
;;--------------------------
PT2      EQU  075H
  PT27    EQU  7
  PT26    EQU  6
  PT25    EQU  5
  PT24    EQU  4
  PT23    EQU  3
  PT22    EQU  2
  PT21    EQU  1
  PT20    EQU  0
TRISC2   EQU  076H
  TC27    EQU  7
  TC26    EQU  6
  TC25    EQU  5
  TC24    EQU  4
  TC23    EQU  3
  TC22    EQU  2
  TC21    EQU  1
  TC20    EQU  0
PT2DA    EQU  077H
  DA27    EQU  7
  DA26    EQU  6
  DA25    EQU  5
  DA24    EQU  4
  DA23    EQU  3
  DA22    EQU  2
  DA21    EQU  1
  DA20    EQU  0
PT2PU    EQU  078H
  PU27    EQU  7
  PU26    EQU  6
  PU25    EQU  5
  PU24    EQU  4
  PU23    EQU  3
  PU22    EQU  2
  PU21    EQU  1
  PU20    EQU  0
PT2INT   EQU  07BH
  INTG27  EQU  7
  INTG26  EQU  6
  INTG25  EQU  5
  INTG24  EQU  4
  INTG23  EQU  3
  INTG22  EQU  2
  INTG21  EQU  1
  INTG20  EQU  0
PT2INTE  EQU  07CH
  INTE27  EQU  7
  INTE26  EQU  6
  INTE25  EQU  5
  INTE24  EQU  4
  INTE23  EQU  3
  INTE22  EQU  2
  INTE21  EQU  1
  INTE20  EQU  0
PT2INTF  EQU  07DH
  INTF27  EQU  7
  INTF26  EQU  6
  INTF25  EQU  5
  INTF24  EQU  4
  INTF23  EQU  3
  INTF22  EQU  2
  INTF21  EQU  1
  INTF20  EQU  0

;;--------------------------
;;---- LCD controller
;;--------------------------
LCDCN1   EQU  180H
  ENLCP   EQU  7
  LCDV2   EQU  6
  LCDV1   EQU  5
  LCDV0   EQU  4
  ENLB    EQU  3
  SELPCLK EQU  2
  LEDCS   EQU  0
LCDCN2   EQU  181H
  LCDBL   EQU  1
  LCI     EQU  0

;;--------------------------
;; LCD/LED/GPIO mode switcH
;;--------------------------
LCDCN3   EQU  182H
  SCM31   EQU  7
  SCM30   EQU  6
  SCM21   EQU  5
  SCM20   EQU  4
  SCM11   EQU  3
  SCM10   EQU  2
  SCM01   EQU  1
  SCM00   EQU  0
LCDCN4   EQU  183H
  SSG21   EQU  7
  SSG20   EQU  6
  SSG19   EQU  5
  SSG18   EQU  4
  SSG17   EQU  3
  SSG16   EQU  2
  SSG15   EQU  1
  SSG14   EQU  0
LCDCN5   EQU  184H
  SSG41   EQU  7
  SSG40   EQU  6
  SSG39   EQU  5
  SSG38   EQU  4
  SSG37   EQU  3
  SSG36   EQU  2
  SSG35   EQU  1
  SSG34   EQU  0
LCDCN6   EQU  185H
  SSG51   EQU  7
  SSG50   EQU  6
  SSG041  EQU  5
  SSG040  EQU  4
  SSG31   EQU  3
  SSG30   EQU  2
  SSG021  EQU  1
  SSG020  EQU  0
LCDCN7   EQU  186H
  SSG91   EQU  7
  SSG90   EQU  6
  SSG81   EQU  5
  SSG80   EQU  4
  SSG71   EQU  3
  SSG70   EQU  2
  SSG61   EQU  1
  SSG60   EQU  0
LCDCN8   EQU  187H
  SSG131  EQU  7
  SSG130  EQU  6
  SSG121  EQU  5
  SSG120  EQU  4
  SSG111  EQU  3
  SSG110  EQU  2
  SSG101  EQU  1
  SSG100  EQU  0
LCDCN9   EQU  188H
  SSG251  EQU  7
  SSG250  EQU  6
  SSG241  EQU  5
  SSG240  EQU  4
  SSG231  EQU  3
  SSG230  EQU  2
  SSG221  EQU  1
  SSG220  EQU  0
LCDCN10  EQU  189H
  SSG291  EQU  7
  SSG290  EQU  6
  SSG281  EQU  5
  SSG280  EQU  4
  SSG271  EQU  3
  SSG270  EQU  2
  SSG261  EQU  1
  SSG260  EQU  0
LCDCN11  EQU  18AH
  SSG331  EQU  7
  SSG330  EQU  6
  SSG321  EQU  5
  SSG320  EQU  4
  SSG311  EQU  3
  SSG310  EQU  2
  SSG301  EQU  1
  SSG300  EQU  0

;;--------------------------
;; LCD/LED display
;;--------------------------
LCD0     EQU  18BH
LCD1     EQU  18CH
LCD2     EQU  18DH  ;LCD2_LED0
LCD3     EQU  18EH  ;LCD3_LED1
LCD4     EQU  18FH  ;LCD4_LED2
LCD5     EQU  190H  ;LCD5_LED3
LCD6     EQU  191H
LCD7     EQU  192H
LCD8     EQU  193H
LCD9     EQU  194H
LCD10    EQU  195H  ;LCD10_LED4
LCD11    EQU  196H  ;LCD11_LED5
LCD12    EQU  197H  ;LCD12_LED6
LCD13    EQU  198H  ;LCD13_LED7
LCD14    EQU  199H  ;LCD14_LED8
LCD15    EQU  19AH  ;LCD15_LED9
LCD16    EQU  19BH  ;LCD16_LED10
LCD17    EQU  19CH  ;LCD17_LED11
LCD18    EQU  19DH
LCD19    EQU  19EH

;;--------------------------
;; PT4
;;--------------------------
PT4      EQU  19FH
PT4DA    EQU  1A1H
PT4PU    EQU  1A2H
PT4INT   EQU  1A5H
PT4INTE  EQU  1A6H
PT4INTF  EQU  1A7H

;;--------------------------
;; PT5
;;--------------------------
PT5      EQU  1AAH
PT5DA    EQU  1ACH
PT5PU    EQU  1ADH
PT5INT   EQU  1B0H
PT5INTE  EQU  1B1H
PT5INTF  EQU  1B2H

;;--------------------------
;; PT6
;;--------------------------
PT6      EQU  1B5H
TRISC6   EQU  1B6H
PT6DA    EQU  1B7H
PT6PU    EQU  1B8H

;;--------------------------
;; PT7
;;--------------------------
PT7      EQU  1B9H
TRISC7   EQU  1BAH
PT7DA    EQU  1BBH
PT7PU    EQU  1BCH

;;--------------------------
;; PT8
;;--------------------------
PT8      EQU  1BDH
TRISC8   EQU  1BEH
PT8DA    EQU  1BFH
PT8PU    EQU  1C0H

;;--------------------------
;; PT9
;;--------------------------
PT9      EQU  1C1H
TRISC9   EQU  1C2H
PT9DA    EQU  1C3H
PT9PU    EQU  1C4H

;;--------------------------
;; PT10
;;--------------------------
PT10     EQU  1C5H
TRISC10  EQU  1C6H
PT10DA   EQU  1C7H
PT10PU   EQU  1C8H

;;--------------------------
;; PT11
;;--------------------------
PT11     EQU  1C9H
TRISC11  EQU  1CAH
PT11DA   EQU  1CBH
PT11PU   EQU  1CCH
PT11M2   EQU  1CDH

;;--------------------------
;; SPI 1
;;--------------------------
SSPCN0   EQU  1CEH
  ENSSP   EQU  7
  CKP     EQU  6
  CKE     EQU  5
  SMP     EQU  4
  SSPM1   EQU  1
  SSPM0   EQU  0
SSPSTA0  EQU  1CFH
  SSPBY   EQU  7
  SSPOV   EQU  6
  BF      EQU  0
SSPBUF0  EQU  1D0H

;;--------------------------
;; I2C 1
;;--------------------------
CFG0     EQU  1D1H
  GCRst   EQU  2
  ENI2CT  EQU  1
  ENI2C   EQU  0
ACT0     EQU  1D2H
  SLAVE  EQU   7
  I2CER  EQU   4
  START  EQU   3
  STOP   EQU   2 
  I2CINT EQU   1 
  ACK    EQU   0
STA0     EQU  1D3H
  MACTF   EQU  7
  SACTF   EQU  6
  RDBF    EQU  5
  RWF     EQU  4
  DFF     EQU  3
  ACKF    EQU  2
  GCF     EQU  1
  ARBF    EQU  0
CRG0     EQU  1D4H
TOC0     EQU  1D5H
  I2CTF    EQU   7
RDB0     EQU  1D6H
TDB0     EQU  1D7H
SID0     EQU  1D8H

;;--------------------------
;; EUART 1
;;--------------------------
UR0CN    EQU  1D9H
  ENSP    EQU  7
  ENTX    EQU  6
  TX9     EQU  5
  TX9D    EQU  4
  PARITY  EQU  3
  WUE     EQU  0
UR0STA   EQU  1DAH
  RC9D    EQU  6
  PERR    EQU  5
  FERR    EQU  4
  OERR    EQU  3
  RCIDL   EQU  2
  TRMT    EQU  1
  ABDOVF  EQU  0
BA0CN    EQU  1DBH
  ENCR    EQU  3
  RC9     EQU  2
  ENADD   EQU  1
  ENABD   EQU  0
BG0RH    EQU  1DCH
BG0RL    EQU  1DDH
TX0R     EQU  1DEH
RC0REG   EQU  1DFH

;;--------------------------
;; EUART 2
;;--------------------------
UR2CN    EQU  1E0H
  ENSP2   EQU  7
  ENTX2   EQU  6
  TX92    EQU  5
  TX9D2   EQU  4
  PARITY2 EQU  3
  WUE2    EQU  0
UR2STA   EQU  1E1H
  RC9D2   EQU  6
  PERR2   EQU  5
  FERR2   EQU  4
  OERR2   EQU  3
  RCIDL2  EQU  2
  TRMT2   EQU  1
  ABDOVF2 EQU  0
BA2CN    EQU  1E2H
  ENCR2   EQU  3
  RC92    EQU  2
  ENADD2  EQU  1
  ENABD2  EQU  0
BG2RH    EQU  1E3H
BG2RL    EQU  1E4H
TX2R     EQU  1E5H
RC2REG   EQU  1E6H

;;--------------------------
;; Timer A2
;;--------------------------
TMA2CN   EQU  1E7H
  ENTMA2  EQU  7
  TMACL2  EQU  6
  TMAS2   EQU  5
  DTMA22  EQU  4
  DTMA21  EQU  3
  DTMA20  EQU  2
TMA2R    EQU  1E8H
TMA2C    EQU  1E9H

;;--------------------------
;; LED pump
;;--------------------------
LEDCN    EQU  1EAH
  ENLEDP  EQU  5
  VGGS    EQU  4
  ENBLOUT EQU  3
  LEDS2   EQU  2
  LEDS1   EQU  1
  LEDS0   EQU  0

;;--------------------------
;; IO Demodulator
;;--------------------------
IQ0      EQU  1EBH
  ENIQ    EQU  0
IQ1      EQU  1ECH
  IQOft5  EQU  7
  IQOft4  EQU  6
  IQOft3  EQU  5
  IQOft2  EQU  4
  IQOft1  EQU  3
  IQOft0  EQU  2
  IQMODE  EQU  1
  IQINV   EQU  0

;;--------------------------
;; Sinewave OUT
;;--------------------------
DGCON1   EQU  1EDH
  DGRST   EQU  4
  DGDiv2  EQU  3
  DGDiv1  EQU  2
  DGDiv0  EQU  1
  DGEN    EQU  0
DGCON2   EQU  1EEH
  DGRP5   EQU  5
  DGRP4   EQU  4
  DGRP3   EQU  3
  DGRP2   EQU  2
  DGRP1   EQU  1
  DGRP0   EQU  0

;;--------------------------
;;---- 80-17F   SRAM
;;---- 2xx      SRAM
;;---- 300-33F  SRAM

;===================================================
W       EQU  0
F       EQU  1
ACCE    EQU  0
A       EQU  0
BANK    EQU  1
B       EQU  1
S       EQU  1
  Bit0    EQU  00000001B
  Bit1    EQU  00000010B
  Bit2    EQU  00000100B
  Bit3    EQU  00001000B
  Bit4    EQU  00010000B
  Bit5    EQU  00100000B
  Bit6    EQU  01000000B
  Bit7    EQU  10000000B
FSR0  EQU  0
FSR1  EQU  1
FSR2  EQU  2
